Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

2 quick ones..

12 REPLIES 12
Reply
Message 1 of 13
Anonymous
163 Views, 12 Replies

2 quick ones..

how do i use the plot dialog in a lisp routine?
how do i skip part of a lisp if that part does not apply to the drawing?
i.e.: i have a block called datetime that may or maynot be inserted into the
drawing at the time, i have a lisp that will insert the current time and
date into this block. i was going to add this lisp to a few others and then
plot. but if the current drawing does not have the datetime block i want it
to skip that one and go on to the next part of the lisp.

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
12 REPLIES 12
Message 2 of 13
Anonymous
in reply to: Anonymous

> how do i use the plot dialog in a lisp routine?
(initdia) (command ."plot")

> how do i skip part of a lisp if that part does not apply to the drawing?

(if (ssget "x" (list '(0 . "INSERT") (cons 2 "YourBlockNameHere")))
;update the block
;else
;skip it.
)

You could use
(if (tblsearch "block" "YourBlockNameHere") etc....

But that only tests the database for the block definition, not if it is
inserted.

-Jason



Jon Baker wrote in message
news:59D2310D130C7086A2C8302D6E313C8A@in.WebX.maYIadrTaRb...
> how do i use the plot dialog in a lisp routine?
> how do i skip part of a lisp if that part does not apply to the drawing?
> i.e.: i have a block called datetime that may or maynot be inserted into
the
> drawing at the time, i have a lisp that will insert the current time and
> date into this block. i was going to add this lisp to a few others and
then
> plot. but if the current drawing does not have the datetime block i want
it
> to skip that one and go on to the next part of the lisp.
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
>
>
Message 3 of 13
Anonymous
in reply to: Anonymous

That should be
(initdia) (command ".plot")

-Jason



Jason Piercey wrote in message
news:BCE551FFB6368D617C685D203761FF43@in.WebX.maYIadrTaRb...
> > how do i use the plot dialog in a lisp routine?
> (initdia) (command ."plot")
>
> > how do i skip part of a lisp if that part does not apply to the drawing?
>
> (if (ssget "x" (list '(0 . "INSERT") (cons 2 "YourBlockNameHere")))
> ;update the block
> ;else
> ;skip it.
> )
>
> You could use
> (if (tblsearch "block" "YourBlockNameHere") etc....
>
> But that only tests the database for the block definition, not if it is
> inserted.
>
> -Jason
>
>
>
> Jon Baker wrote in message
> news:59D2310D130C7086A2C8302D6E313C8A@in.WebX.maYIadrTaRb...
> > how do i use the plot dialog in a lisp routine?
> > how do i skip part of a lisp if that part does not apply to the drawing?
> > i.e.: i have a block called datetime that may or maynot be inserted into
> the
> > drawing at the time, i have a lisp that will insert the current time and
> > date into this block. i was going to add this lisp to a few others and
> then
> > plot. but if the current drawing does not have the datetime block i want
> it
> > to skip that one and go on to the next part of the lisp.
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> > _________________________
> >
> >
>
>
Message 4 of 13
Anonymous
in reply to: Anonymous

cool thanx..

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jason Piercey" wrote in message
news:1BD8AE3A0451210B715CF75C404472BE@in.WebX.maYIadrTaRb...
> That should be
> (initdia) (command ".plot")
>
> -Jason
>
>
>
> Jason Piercey wrote in message
> news:BCE551FFB6368D617C685D203761FF43@in.WebX.maYIadrTaRb...
> > > how do i use the plot dialog in a lisp routine?
> > (initdia) (command ."plot")
> >
> > > how do i skip part of a lisp if that part does not apply to the
drawing?
> >
> > (if (ssget "x" (list '(0 . "INSERT") (cons 2 "YourBlockNameHere")))
> > ;update the block
> > ;else
> > ;skip it.
> > )
> >
> > You could use
> > (if (tblsearch "block" "YourBlockNameHere") etc....
> >
> > But that only tests the database for the block definition, not if it is
> > inserted.
> >
> > -Jason
> >
> >
> >
> > Jon Baker wrote in message
> > news:59D2310D130C7086A2C8302D6E313C8A@in.WebX.maYIadrTaRb...
> > > how do i use the plot dialog in a lisp routine?
> > > how do i skip part of a lisp if that part does not apply to the
drawing?
> > > i.e.: i have a block called datetime that may or maynot be inserted
into
> > the
> > > drawing at the time, i have a lisp that will insert the current time
and
> > > date into this block. i was going to add this lisp to a few others and
> > then
> > > plot. but if the current drawing does not have the datetime block i
want
> > it
> > > to skip that one and go on to the next part of the lisp.
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > > _________________________
> > >
> > >
> >
> >
>
>
Message 5 of 13
Anonymous
in reply to: Anonymous

okay a little help..

the lisp and block name are both datetime. if the drawing does not contain
such block i need it to skip that lisp and continue on..
my current lisp:
(defun c:PLOTTING ()

(c:DATETIME)

;makes the 0 layer current and makes all VP layers non-plot
(command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")

;opens the plot dialog box
(initdia)
(command "_.plot")
)

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
Message 6 of 13
Anonymous
in reply to: Anonymous

How about this:

(defun c:PLOTTING ()
(if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block is
inserted
(c:DATETIME)
)

;makes the 0 layer current and makes all VP layers non-plot
(command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")

;opens the plot dialog box
(initdia)
(command "_.plot")
)

-Jason

Jon Baker wrote in message
news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> okay a little help..
>
> the lisp and block name are both datetime. if the drawing does not contain
> such block i need it to skip that lisp and continue on..
> my current lisp:
> (defun c:PLOTTING ()
>
> (c:DATETIME)
>
> ;makes the 0 layer current and makes all VP layers non-plot
> (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
>
> ;opens the plot dialog box
> (initdia)
> (command "_.plot")
> )
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
>
>
Message 7 of 13
Anonymous
in reply to: Anonymous

Command: PLOTTING
0 found
*Invalid*

Command:

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jason Piercey" wrote in message
news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> How about this:
>
> (defun c:PLOTTING ()
> (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block is
> inserted
> (c:DATETIME)
> )
>
> ;makes the 0 layer current and makes all VP layers non-plot
> (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
>
> ;opens the plot dialog box
> (initdia)
> (command "_.plot")
> )
>
> -Jason
>
> Jon Baker wrote in message
> news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > okay a little help..
> >
> > the lisp and block name are both datetime. if the drawing does not
contain
> > such block i need it to skip that lisp and continue on..
> > my current lisp:
> > (defun c:PLOTTING ()
> >
> > (c:DATETIME)
> >
> > ;makes the 0 layer current and makes all VP layers non-plot
> > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> >
> > ;opens the plot dialog box
> > (initdia)
> > (command "_.plot")
> > )
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> >
> >
>
>
Message 8 of 13
Anonymous
in reply to: Anonymous

sorry, i need to finish typing before sending..

... i tried that but that's is what i got...

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jon Baker" wrote in message
news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> Command: PLOTTING
> 0 found
> *Invalid*
>
> Command:
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jason Piercey" wrote in message
> news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > How about this:
> >
> > (defun c:PLOTTING ()
> > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block
is
> > inserted
> > (c:DATETIME)
> > )
> >
> > ;makes the 0 layer current and makes all VP layers non-plot
> > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> >
> > ;opens the plot dialog box
> > (initdia)
> > (command "_.plot")
> > )
> >
> > -Jason
> >
> > Jon Baker wrote in message
> > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > okay a little help..
> > >
> > > the lisp and block name are both datetime. if the drawing does not
> contain
> > > such block i need it to skip that lisp and continue on..
> > > my current lisp:
> > > (defun c:PLOTTING ()
> > >
> > > (c:DATETIME)
> > >
> > > ;makes the 0 layer current and makes all VP layers non-plot
> > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > >
> > > ;opens the plot dialog box
> > > (initdia)
> > > (command "_.plot")
> > > )
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > >
> > >
> >
> >
>
>
Message 9 of 13
Anonymous
in reply to: Anonymous

You will have to post all of the code, Jon.

-Jason

Jon Baker wrote in message
news:A4099F3A822818CDBC659230DB44CDD1@in.WebX.maYIadrTaRb...
> sorry, i need to finish typing before sending..
>
> ... i tried that but that's is what i got...
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jon Baker" wrote in message
> news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> > Command: PLOTTING
> > 0 found
> > *Invalid*
> >
> > Command:
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> > _________________________
> > "Jason Piercey" wrote in message
> > news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > > How about this:
> > >
> > > (defun c:PLOTTING ()
> > > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block
> is
> > > inserted
> > > (c:DATETIME)
> > > )
> > >
> > > ;makes the 0 layer current and makes all VP layers non-plot
> > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > >
> > > ;opens the plot dialog box
> > > (initdia)
> > > (command "_.plot")
> > > )
> > >
> > > -Jason
> > >
> > > Jon Baker wrote in message
> > > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > > okay a little help..
> > > >
> > > > the lisp and block name are both datetime. if the drawing does not
> > contain
> > > > such block i need it to skip that lisp and continue on..
> > > > my current lisp:
> > > > (defun c:PLOTTING ()
> > > >
> > > > (c:DATETIME)
> > > >
> > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > >
> > > > ;opens the plot dialog box
> > > > (initdia)
> > > > (command "_.plot")
> > > > )
> > > >
> > > > --
> > > > A2Ki, SurvCad CES, Win98 se
> > > > Remove NO SPAM from my email address to email
> > > >
> > > > Jonathan J. Baker
> > > > R&R Engineers-Surveyors, Inc.
> > > > Denver, Colorado
> > > >
> > > >
> > >
> > >
> >
> >
>
>
Message 10 of 13
Anonymous
in reply to: Anonymous

okay.. in the cust files...

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jason Piercey" wrote in message
news:8BD6C045B583D89410B6623A502CE4C3@in.WebX.maYIadrTaRb...
> You will have to post all of the code, Jon.
>
> -Jason
>
> Jon Baker wrote in message
> news:A4099F3A822818CDBC659230DB44CDD1@in.WebX.maYIadrTaRb...
> > sorry, i need to finish typing before sending..
> >
> > ... i tried that but that's is what i got...
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> > _________________________
> > "Jon Baker" wrote in message
> > news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> > > Command: PLOTTING
> > > 0 found
> > > *Invalid*
> > >
> > > Command:
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > > _________________________
> > > "Jason Piercey" wrote in message
> > > news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > > > How about this:
> > > >
> > > > (defun c:PLOTTING ()
> > > > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the
block
> > is
> > > > inserted
> > > > (c:DATETIME)
> > > > )
> > > >
> > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > >
> > > > ;opens the plot dialog box
> > > > (initdia)
> > > > (command "_.plot")
> > > > )
> > > >
> > > > -Jason
> > > >
> > > > Jon Baker wrote in message
> > > > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > > > okay a little help..
> > > > >
> > > > > the lisp and block name are both datetime. if the drawing does not
> > > contain
> > > > > such block i need it to skip that lisp and continue on..
> > > > > my current lisp:
> > > > > (defun c:PLOTTING ()
> > > > >
> > > > > (c:DATETIME)
> > > > >
> > > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > > >
> > > > > ;opens the plot dialog box
> > > > > (initdia)
> > > > > (command "_.plot")
> > > > > )
> > > > >
> > > > > --
> > > > > A2Ki, SurvCad CES, Win98 se
> > > > > Remove NO SPAM from my email address to email
> > > > >
> > > > > Jonathan J. Baker
> > > > > R&R Engineers-Surveyors, Inc.
> > > > > Denver, Colorado
> > > > >
> > > > >
> > > >
> > > >
> > >
> > >
> >
> >
>
>
Message 11 of 13
Anonymous
in reply to: Anonymous

I don't see any reason why you are getting that type of error with that
code. Everything seems to function as expected as long as both functions
are loaded. Without the (C:DateTime) loaded you get an error (of course)
but the one that you are describing. Maybe something else on your end that
is fouling thing up.

-Jason


"Jon Baker" wrote in message
news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> Command: PLOTTING
> 0 found
> *Invalid*
>
> Command:
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jason Piercey" wrote in message
> news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > How about this:
> >
> > (defun c:PLOTTING ()
> > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block
is
> > inserted
> > (c:DATETIME)
> > )
> >
> > ;makes the 0 layer current and makes all VP layers non-plot
> > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> >
> > ;opens the plot dialog box
> > (initdia)
> > (command "_.plot")
> > )
> >
> > -Jason
> >
> > Jon Baker wrote in message
> > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > okay a little help..
> > >
> > > the lisp and block name are both datetime. if the drawing does not
> contain
> > > such block i need it to skip that lisp and continue on..
> > > my current lisp:
> > > (defun c:PLOTTING ()
> > >
> > > (c:DATETIME)
> > >
> > > ;makes the 0 layer current and makes all VP layers non-plot
> > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > >
> > > ;opens the plot dialog box
> > > (initdia)
> > > (command "_.plot")
> > > )
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > >
> > >
> >
> >
>
>
Message 12 of 13
Anonymous
in reply to: Anonymous

it works if i have the block DateTime inserted, but if i erase it and try
again i get the same error.

--
A2Ki, SurvCad CES, Win98 se
Remove NO SPAM from my email address to email

Jonathan J. Baker
R&R Engineers-Surveyors, Inc.
Denver, Colorado
_________________________
"Jason Piercey" wrote in message
news:CB71CDD977942D04B8D89A2CC80B682D@in.WebX.maYIadrTaRb...
> I don't see any reason why you are getting that type of error with that
> code. Everything seems to function as expected as long as both functions
> are loaded. Without the (C:DateTime) loaded you get an error (of course)
> but the one that you are describing. Maybe something else on your end
that
> is fouling thing up.
>
> -Jason
>
>
> "Jon Baker" wrote in message
> news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> > Command: PLOTTING
> > 0 found
> > *Invalid*
> >
> > Command:
> >
> > --
> > A2Ki, SurvCad CES, Win98 se
> > Remove NO SPAM from my email address to email
> >
> > Jonathan J. Baker
> > R&R Engineers-Surveyors, Inc.
> > Denver, Colorado
> > _________________________
> > "Jason Piercey" wrote in message
> > news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > > How about this:
> > >
> > > (defun c:PLOTTING ()
> > > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the block
> is
> > > inserted
> > > (c:DATETIME)
> > > )
> > >
> > > ;makes the 0 layer current and makes all VP layers non-plot
> > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > >
> > > ;opens the plot dialog box
> > > (initdia)
> > > (command "_.plot")
> > > )
> > >
> > > -Jason
> > >
> > > Jon Baker wrote in message
> > > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > > okay a little help..
> > > >
> > > > the lisp and block name are both datetime. if the drawing does not
> > contain
> > > > such block i need it to skip that lisp and continue on..
> > > > my current lisp:
> > > > (defun c:PLOTTING ()
> > > >
> > > > (c:DATETIME)
> > > >
> > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > >
> > > > ;opens the plot dialog box
> > > > (initdia)
> > > > (command "_.plot")
> > > > )
> > > >
> > > > --
> > > > A2Ki, SurvCad CES, Win98 se
> > > > Remove NO SPAM from my email address to email
> > > >
> > > > Jonathan J. Baker
> > > > R&R Engineers-Surveyors, Inc.
> > > > Denver, Colorado
> > > >
> > > >
> > >
> > >
> >
> >
>
>
Message 13 of 13
Anonymous
in reply to: Anonymous

That makes me think that there is something wrong with

(if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")))
(c:DATETIME)
)

But it looks ok to me, and it works just fine on my system either way.

-Jason


"Jon Baker" wrote in message
news:85C0384489709B3501744B23827F0FFF@in.WebX.maYIadrTaRb...
> it works if i have the block DateTime inserted, but if i erase it and try
> again i get the same error.
>
> --
> A2Ki, SurvCad CES, Win98 se
> Remove NO SPAM from my email address to email
>
> Jonathan J. Baker
> R&R Engineers-Surveyors, Inc.
> Denver, Colorado
> _________________________
> "Jason Piercey" wrote in message
> news:CB71CDD977942D04B8D89A2CC80B682D@in.WebX.maYIadrTaRb...
> > I don't see any reason why you are getting that type of error with that
> > code. Everything seems to function as expected as long as both
functions
> > are loaded. Without the (C:DateTime) loaded you get an error (of
course)
> > but the one that you are describing. Maybe something else on your end
> that
> > is fouling thing up.
> >
> > -Jason
> >
> >
> > "Jon Baker" wrote in message
> > news:05E4BF568B02F268897E3468AEBF31ED@in.WebX.maYIadrTaRb...
> > > Command: PLOTTING
> > > 0 found
> > > *Invalid*
> > >
> > > Command:
> > >
> > > --
> > > A2Ki, SurvCad CES, Win98 se
> > > Remove NO SPAM from my email address to email
> > >
> > > Jonathan J. Baker
> > > R&R Engineers-Surveyors, Inc.
> > > Denver, Colorado
> > > _________________________
> > > "Jason Piercey" wrote in message
> > > news:729090AC761BD9BA078B095C4F3B3DA4@in.WebX.maYIadrTaRb...
> > > > How about this:
> > > >
> > > > (defun c:PLOTTING ()
> > > > (if (ssget "x" '((0 . "INSERT") (2 . "DATETIME")));<----If the
block
> > is
> > > > inserted
> > > > (c:DATETIME)
> > > > )
> > > >
> > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > >
> > > > ;opens the plot dialog box
> > > > (initdia)
> > > > (command "_.plot")
> > > > )
> > > >
> > > > -Jason
> > > >
> > > > Jon Baker wrote in message
> > > > news:0E13D1A4AAD20B700A0F425C0C373859@in.WebX.maYIadrTaRb...
> > > > > okay a little help..
> > > > >
> > > > > the lisp and block name are both datetime. if the drawing does not
> > > contain
> > > > > such block i need it to skip that lisp and continue on..
> > > > > my current lisp:
> > > > > (defun c:PLOTTING ()
> > > > >
> > > > > (c:DATETIME)
> > > > >
> > > > > ;makes the 0 layer current and makes all VP layers non-plot
> > > > > (command "-layer" "thaw" "0" "MAKE" "0" "PLOT" "N" "vp*" "")
> > > > >
> > > > > ;opens the plot dialog box
> > > > > (initdia)
> > > > > (command "_.plot")
> > > > > )
> > > > >
> > > > > --
> > > > > A2Ki, SurvCad CES, Win98 se
> > > > > Remove NO SPAM from my email address to email
> > > > >
> > > > > Jonathan J. Baker
> > > > > R&R Engineers-Surveyors, Inc.
> > > > > Denver, Colorado
> > > > >
> > > > >
> > > >
> > > >
> > >
> > >
> >
> >
>
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost